Skip to main content
POST
/
v1
/
bank-accounts
Create a bank account
curl --request POST \
  --url https://dev.flextell.ai/api/v1/bank-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "currency_id": 123,
  "account_number": "<string>",
  "bank_name": "<string>",
  "branch_name": "<string>",
  "swift": "<string>",
  "iban": "<string>",
  "is_default": true,
  "is_active": true,
  "opening_balance": 1
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "name": "<string>",
    "account_number": "<string>",
    "bank_name": "<string>",
    "branch_name": "<string>",
    "swift": "<string>",
    "iban": "<string>",
    "debit": "<string>",
    "credit": "<string>",
    "balance": "<string>",
    "is_default": true,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "currency": {
      "id": 123,
      "code": "<string>",
      "symbol": "<string>",
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

The name.

Maximum string length: 255
currency_id
integer
required

The currency ID.

account_number
string | null

Account number.

Maximum string length: 255
bank_name
string | null

Bank name.

Maximum string length: 255
branch_name
string | null

Branch name.

Maximum string length: 255
swift
string | null

SWIFT/BIC code.

Maximum string length: 255
iban
string | null

IBAN number.

Maximum string length: 255
is_default
boolean | null

Whether the record is the default.

is_active
boolean | null

Whether the record is active.

opening_balance
number | null

Opening balance amount.

Required range: x >= 0
opening_balance_direction
enum<string> | null

Opening balance direction (debit or credit).

Available options:
debit,
credit

Response

success
string
required
data
BankAccountResource · object
required